﻿Public Class fileworks
    Public Event dopop(ByVal sender As Object, ByVal e As EventArgs)
    Const FDR_DATA As String = "data"
    Shared _txtvl As New ArrayList   'TextBoxの値を取得
    Shared _cstmr As New ArrayList   '顧客名の値を取得
    Dim SAVE_FDR As String           'フォルダー名の割り当て　
    Const SV_FDR As String = "svfolder" '添付ファイル保存フォルダー
    Shared _TXT_NUM13 As Integer     'Form1から渡されたFormデザイナーで貼り付けたTextBoxの数
    Shared _opnfle As String            'Class Form1のTextBoxにセットするためのフルパスファイル  
    Dim ar As New ArrayList          'ファイルの一行をコレクションにする
    'TextBoxの値を取得
    Public Sub txtvl(ByVal item As String)
        _txtvl.Add(item)
    End Sub
    '顧客名の値を取得
    Public Sub cstmr(ByVal item As String)
        _cstmr.Add(item)
    End Sub
    '保存先フォルダーの決定
    Public Sub svfle()
        
        If _txtvl(0) = "浜川崎" Then
            SAVE_FDR = _cstmr(0)

        ElseIf _txtvl(0) = "京浜" Then
            SAVE_FDR = _cstmr(1)

        ElseIf _txtvl(0) = "山武" Then
            SAVE_FDR = _cstmr(2)

            ' ElseIf  _txtvl(0) = "日新工業" Then
            ' SAVE_FDR = _cstmr(3)
        Else
            SAVE_FDR = _cstmr(4)
        End If

        '客先名の先頭に空文字が含まれているか確認
        Dim st1 As String
        Dim i1 As Integer
        Dim k1 As Integer
        st1 = _txtvl(0)
        i1 = st1.Length
        For k1 = 1 To i1
            If st1.IndexOf(" ") = 0 Then         '半角空文字の場合
                MsgBox("ファイルの保存先フォルダーが、違う可能性があります。" & vbNewLine & "「OK]をクリックして保存ダイアログボックスで確認してください。", MsgBoxStyle.Exclamation)
                Exit For
            ElseIf st1.IndexOf("　") = 0 Then    '全角空文字の場合
                MsgBox("ファイルの保存先フォルダーが、違う可能性があります。" & vbNewLine & "「OK]をクリックして保存ダイアログボックスで確認してください。", MsgBoxStyle.Exclamation)
                Exit For
            End If
        Next

        '図番の先頭に空文字が含まれているか確認
        Dim st2 As String
        Dim i2 As Integer
        Dim k2 As Integer
        st2 = _txtvl(1)
        i2 = st2.Length
        For k2 = 1 To i2
            If st2.IndexOf(" ") = 0 Then         '半角空文字の場合
                MsgBox("図番の先頭に空文字が含まれている可能性があります。" & vbNewLine & "「OK]をクリックして保存ダイアログボックスで確認してください。", MsgBoxStyle.Exclamation)
                Exit For
            ElseIf st2.IndexOf("　") = 0 Then    '全角空文字の場合
                MsgBox("図番の先頭に空文字が含まれている可能性があります。" & vbNewLine & "「OK]をクリックして保存ダイアログボックスで確認してください。", MsgBoxStyle.Exclamation)
                Exit For
            End If
        Next


        'ファイルの保存    
        Dim svfldlg As New SaveFileDialog()

        svfldlg.Title = "見積計算書の保存"
        svfldlg.InitialDirectory = Application.StartupPath & "\" & FDR_DATA & "\" & SAVE_FDR
        svfldlg.FileName = _txtvl(1) & ".ini"
        svfldlg.FilterIndex = 2
        svfldlg.RestoreDirectory = True
        ' 存在しているファイルを指定した場合は、
        ' 上書きするかどうかの問い合わせを表示する (初期値 True)
        svfldlg.OverwritePrompt = True

        If svfldlg.ShowDialog() = DialogResult.OK Then
            '一度ファイルを削除する
            IO.File.Delete(Application.StartupPath & "\" & FDR_DATA & "\" & SAVE_FDR & "\" & _txtvl(1) & ".ini")
            Dim txtdata As String
            For Each txtdata In _txtvl
                Dim writer As New IO.StreamWriter(Application.StartupPath & "\" & FDR_DATA & "\" & SAVE_FDR & "\" & _txtvl(1) & ".ini", True)
                writer.WriteLine(txtdata)
                writer.Close()
            Next
        End If
        svfldlg.Dispose()

    End Sub
    'storageフォルダーに.iniファイルが存在するか調べる。あれば読み込み表示する。
    Public Sub formload()
        'storageフォルダーに.iniファイルが存在するか調べる。.iniファイルがあれば_opnfleに移動

        Dim oflder As New IO.DirectoryInfo(Application.StartupPath & "\" & "storage")
        Dim ofile As IO.FileInfo
        Dim arofile As New ArrayList
        For Each ofile In oflder.GetFiles("*.ini", IO.SearchOption.AllDirectories)
            arofile.Add(ofile)
            _opnfle = Application.StartupPath & "\" & "storage" & "\" & ofile.Name
        Next
       
    End Sub
    'イベントの発生
    Public Sub formibent()
        If Not _opnfle Is Nothing Then
            RaiseEvent dopop(Me, New EventArgs)
        End If
    End Sub

    'ファイルを開くダイアログボックスを表示する
    Public Sub opnfledlg()
        'OpenFileDialogクラスのインスタンスを作成
        Dim ofd As New OpenFileDialog()

        'はじめに表示されるフォルダを指定する
        '指定しない（空の文字列）の時は、現在のディレクトリが表示される
        ofd.InitialDirectory = Application.StartupPath & " \ " & FDR_DATA

        ofd.Filter = "iniファイル(*.ini)|*.ini"
        '[ファイルの種類]ではじめに
        '「すべてのファイル」が選択されているようにする
        ofd.FilterIndex = 2

        'タイトルを設定する
        ofd.Title = "開くファイルを選択してください"

        'ダイアログボックスを閉じる前に現在のディレクトリを復元するようにする
        ofd.RestoreDirectory = True

        'ダイアログを表示する
        If ofd.ShowDialog() = DialogResult.OK Then
            'OKボタンがクリックされたとき
            '選択されたファイル名を表示する
            _opnfle = ofd.FileName
        End If

    End Sub

    'Class Form2からListView1_DoubleClickのフルパスを取得
    Public Property opnfle() As String
        Get
            Return _opnfle
        End Get
        Set(value As String)
            _opnfle = value
        End Set
    End Property
    'iniファイルの読み込みをしてClass Form1のTextBoxにセットする
    Public Sub iniread()
        Dim txtstf1 As New Form1
        inredmesod()

        'Form1を開く
        txtstf1.Show()

    End Sub
    'Form1から渡されたFormデザイナーで貼り付けたTextBoxの数
    Public Sub txt13(ByVal st As Integer)
        _TXT_NUM13 = st
    End Sub
    '一度メールフォルダーに保存する
    Public Sub save()

        '一度SAVE_FLEを削除して再度SAVE_FLEを作成
        Dim ofolder As New IO.DirectoryInfo(Application.StartupPath & "\" & SV_FDR)
        Dim ofile As IO.FileInfo

        For Each ofile In ofolder.GetFiles("*", IO.SearchOption.AllDirectories)
            IO.File.Delete(ofile.FullName)
        Next
        Using IO.File.Create(Application.StartupPath & "\" & SV_FDR & "\" & _txtvl(1) & ".ini")

        End Using

        Dim st As String

        For Each st In _txtvl
            Dim writer As New IO.StreamWriter(Application.StartupPath & "\" & SV_FDR & "\" & _txtvl(1) & ".ini", True)
            writer.WriteLine(st)
            writer.Close()
        Next

        Dim f As New Form1
        f.tempas(Application.StartupPath & "\" & SV_FDR & "\" & _txtvl(1) & ".ini")

    End Sub
    '_txtvlのクリアー
    Public Sub _txtvlclr()
        _txtvl.Clear()
    End Sub
    Public Sub inredmesod()
        Dim reader As New IO.StreamReader(_opnfle)
        Dim line As String   'ファイルの一行

        line = reader.ReadLine
        Do Until IsNothing(line)
            ar.Add(line)
            line = reader.ReadLine
        Loop
        reader.Close()

        'Class Form1のTextBoxに入力する値
        Dim txtstf1 As New Form1
        Dim arcount As Integer
        Dim arloop As Integer
        arcount = ar.Count

        'Class Form1のTextBoxに入力する値
        For arloop = 0 To arcount - 1
            txtstf1.txtst(ar(arloop))
        Next

    End Sub
End Class
