﻿Public Class strtadvnc
    ''' <summary>
    ''' CurrentUserのRunにアプリケーションの実行ファイルパスを登録する
    ''' </summary>
    Public Shared Sub SetCurrentVersionRun()
        'Runキーを開く
        Dim regkey As Microsoft.Win32.RegistryKey = Microsoft.Win32.Registry.CurrentUser.OpenSubKey("Software\Microsoft\Windows\CurrentVersion\Run", True)
        '値の名前に製品名、値のデータに実行ファイルのパスを指定し、書き込む
        regkey.SetValue(Application.ProductName, Application.ExecutablePath)

        '閉じる
        regkey.Close()

    End Sub
    '' CurrentUserのRunにアプリケーションの実行ファイルパスを削除する
    Public Shared Sub notCurrentVersionRun()
        'Runキーを開く
        Dim regkey As Microsoft.Win32.RegistryKey = Microsoft.Win32.Registry.CurrentUser.OpenSubKey("Software\Microsoft\Windows\CurrentVersion\Run", True)

        'キーにある値の削除
        regkey.DeleteValue(Application.ProductName, False)

        '閉じる
        regkey.Close()

    End Sub
End Class
